Commit 01e93bb0fc82f3192cd3dcdf13501b6003b65d0c

Steffen Jaeckel 2019-05-21T13:25:24

fix tune for non-v-algrind travis builds

diff --git a/testme.sh b/testme.sh
index dbefdc0..306c67d 100755
--- a/testme.sh
+++ b/testme.sh
@@ -128,7 +128,7 @@ _runtest()
     # get switched off without some effort, so we just let it run twice for testing purposes
     _make "$1" "$2" ""
     echo -e "\rRun autotune $1 $2"
-    $_timeout ./etc/tune_it.sh > test_${suffix}.log || _die "running autotune" $?
+    $_timeout $TUNE_CMD > ../test_${suffix}.log || _die "running autotune" $?
   else
     _make "$1" "$2" "test_standalone"
     echo -e "\rRun test $1 $2"
@@ -154,7 +154,7 @@ echo "autotune branch"
     # The shell used for /bin/sh is DASH 0.5.7-4ubuntu1 on the author's machine which fails valgrind, so
     # we just run on instance of etc/tune with the same options as in etc/tune_it.sh
     echo -e "\rRun etc/tune $1 $2 once inside valgrind"
-    $_timeout $VALGRIND_BIN $VALGRIND_OPTS ./etc/tune -t -r 10 -L 3 > test_${suffix}.log || _die "running etc/tune" $?
+    $_timeout $VALGRIND_BIN $VALGRIND_OPTS $TUNE_CMD > test_${suffix}.log || _die "running etc/tune" $?
   else
     _make "$1" "$2" "test_standalone"
     echo -e "\rRun test $1 $2 inside valgrind"
@@ -195,6 +195,7 @@ VALGRIND_OPTS=" --leak-check=full --show-leak-kinds=all --error-exitcode=1 "
 #VALGRIND_OPTS=""
 VALGRIND_BIN=""
 CHECK_FORMAT=""
+TUNE_CMD="./etc/tune -t -r 10 -L 3"
 
 alive_pid=0